# Uses of Class
javax.swing.text.DocumentFilter

Packages that use DocumentFilter
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of DocumentFilter in javax.swing

Methods in javax.swing that return DocumentFilter
Modifier and Type
Method
Description
`protected DocumentFilter`
JFormattedTextField.AbstractFormatter.`getDocumentFilter()`
Subclass and override if you wish to provide a `DocumentFilter` to restrict what can be input.

## Uses of DocumentFilter in javax.swing.text

Methods in javax.swing.text that return DocumentFilter
Modifier and Type
Method
Description
`DocumentFilter`
AbstractDocument.`getDocumentFilter()`
Returns the `DocumentFilter` that is responsible for filtering of insertion/removal.
`protected DocumentFilter`
DefaultFormatter.`getDocumentFilter()`
Returns the `DocumentFilter` used to restrict the characters that can be input into the `JFormattedTextField`.
Methods in javax.swing.text with parameters of type DocumentFilter
Modifier and Type
Method
Description
`void`
AbstractDocument.`setDocumentFilter(DocumentFilter filter)`
Sets the `DocumentFilter`.